const X_VERSION		= "0.1.5";
const X_MSG		= "\u540c\u6587\u5802(Tong Wen Tang)";
const X_NAME		= "/hashao/tongwen";
const X_AUTH		= "hashao"
const X_JAR_FILE 	= "tongwen.jar";
const X_HOME		= "tongwen";

const contentuser       = PROFILE_CHROME;
const contentsys        = DELAYED_CHROME;


var chromeFlag = contentuser;
var installDir = getFolder("Profile", "chrome");
var existsInApplication = File.exists(getFolder(getFolder("chrome"), X_JAR_FILE));
var existsInProfile     = File.exists(getFolder(installDir, X_JAR_FILE));

var error = null;
uninstall(X_NAME);

initInstall(X_MSG, X_NAME, X_VERSION);

/* 
   Install to user chosen profile chrome. 
   If already installed system wide before, use the default place.
*/
//if(existsInApplication || (!existsInProfile && 
if (!confirm("Do you want to install the extension into your profile folder?\n(Cancel will install into the application folder)")){
    chromeFlag = contentsys;
    installDir = getFolder("chrome");
}


setPackageFolder(installDir);

error = addFile(X_NAME, X_VERSION, X_JAR_FILE, installDir, null);
if(error == SUCCESS) {
    var tmpfolder = getFolder(installDir, X_JAR_FILE);
    registerChrome(CONTENT|chromeFlag, tmpfolder, "content/tongwen/");
    registerChrome(LOCALE|chromeFlag, tmpfolder, "locale/en-US/tongwen/");
    registerChrome(LOCALE|chromeFlag, tmpfolder, "locale/zh-CN/tongwen/");
    registerChrome(SKIN|chromeFlag, tmpfolder, "skin/tongwen/");
    if (error == SUCCESS)
	error = performInstall();
}
if (error == SUCCESS || error == REBOOT_NEEDED) {
    var header = "";
    if (error == REBOOT_NEEDED)
	header = ("The files were installed, but one or more components were in use. Restart the computer and Communicator to complete the installation process. On Windows NT, you may only need to restart Communicator as long as you did not replace operating system files.\n"); 
     alert(header + "If you are using FireFox, you need to add \"tongwen\" \nbutton to the toolbar (View->Toolbars->Customize...)");
} else{
    // see error codes:
    var txt = "\nThe meaning of the error code can be found at \n http://devedge.netscape.com/library/manuals/2001/xpinstall/1.0/err.html";
    alert("The installation failed with an error code: " + error + txt);
    cancelInstall(error);
}

